| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Static Public Attributes
com.symantec.sepm.webservice.client.command.PowerEraserCommand Class Reference

Provides detailed information about the Power Eraser command. More...

## Public Member Functions
String | getCommandType ()
| Gets the command type. More...
void | setCommandType (String commandType)
| Sets the command type. More...
RemediateActionPayload | getRemediateActionPayload ()
| Gets the payload to remediate. More...
void | setRemediateActionPayload (RemediateActionPayload remediateActionPayload)
| Sets the payload to remediate. More...
RestartOptions | getRestartOptions ()
| Gets the options that are used for the restart on the client computer when a PowerEraser command is issued. More...
void | setRestartOptions (RestartOptions restartOptions)
| Sets the options that are used for the restart that is required on the client computer when a PowerEraser command is issued. More...
String | getTargetObjectType ()
| Gets the target object type. More...
void | setTargetObjectType (String objectType)
| Sets the target object type. More...
String[] | getTargetObjectIds ()
| Gets a list of object IDs based on object type. More...
void | setTargetObjectIds (String[] objectIds)
| Sets the list of target object IDs based on object type. More...

## Static Public Attributes
static final String | INPUT_SCAN = "Scan"
static final String | INPUT_SCAN_ROOTKIT = "ScanWithRootkit"
static final String | INPUT_REMOVE = "Remove"
static final String | INPUT_RESTORE = "Restore"
static final String | DEFAULT_COMMAND = "InvalidCommand"

## Detailed Description

Provides detailed information about the Power Eraser command.

This object is passed as a parameter to the runClientCommandPowerEraser method of the Command Service API. It specifies the type of command to run and the target client computer or computer groups on which to run the command.

Unlike other scans, the Power Eraser scan cannot remediate automatically. Remediation is performed separately on selected files that are found by the scan.

## Member Function Documentation

String com.symantec.sepm.webservice.client.command.PowerEraserCommand.getCommandType | ( |  | ) |

Gets the command type.

Returns
  the command type string

void com.symantec.sepm.webservice.client.command.PowerEraserCommand.setCommandType | ( | String | commandType | ) |

Sets the command type.

One of the following:

- "Scan"
- "ScanWithRootkit" – requires a restart on the client computer
- "Remove" – removes the specified files from the client computer
- "Restore" – restores files that were removed

Parameters

  commandType | the command type string to set

RemediateActionPayload com.symantec.sepm.webservice.client.command.PowerEraserCommand.getRemediateActionPayload | ( |  | ) |

Gets the payload to remediate.

Returns
  RemediateActionPayload object

void com.symantec.sepm.webservice.client.command.PowerEraserCommand.setRemediateActionPayload | ( | RemediateActionPayload | remediateActionPayload | ) |

Sets the payload to remediate.

The payload contains the scan GUID and filepath for a specific risk event that was detected.

See also
  RemediateActionPayload

This method is used only with commandType = "Remove" or "Restore."

Parameters

  remediateActionPayload | the object that contains the scan GUID and filepath to be remediated

RestartOptions com.symantec.sepm.webservice.client.command.PowerEraserCommand.getRestartOptions | ( |  | ) |

Gets the options that are used for the restart on the client computer when a PowerEraser command is issued.

Returns
  RestartOptions object that contains restart(reboot) information details.

void com.symantec.sepm.webservice.client.command.PowerEraserCommand.setRestartOptions | ( | RestartOptions | restartOptions | ) |

Sets the options that are used for the restart that is required on the client computer when a PowerEraser command is issued.

RestartOptions() is required if you specify commandType = "ScanWithRootkit." It is ignored if you call it with any other value for commandType.

See also
  RestartOptions

Parameters

  restartOptions | the object that contains the restart details

String com.symantec.sepm.webservice.client.command.PowerEraserCommand.getTargetObjectType | ( |  | ) |

Gets the target object type.

Returns
  the targetObjectType string

void com.symantec.sepm.webservice.client.command.PowerEraserCommand.setTargetObjectType | ( | String | objectType | ) |

Sets the target object type.

Only the following type is supported:

- "COMPUTER"

Parameters

  objectType | the object type to run the PowerEraser command against

String [] com.symantec.sepm.webservice.client.command.PowerEraserCommand.getTargetObjectIds | ( |  | ) |

Gets a list of object IDs based on object type.

If object type = "COMPUTER" then the target object type contains a list of computer GUIDs. If object type = "GROUP" then the target object type contains the group GUID.

Returns
  the string that contains the target objects IDs

void com.symantec.sepm.webservice.client.command.PowerEraserCommand.setTargetObjectIds | ( | String[] | objectIds | ) |

Sets the list of target object IDs based on object type.

Parameters

  objectIds | a string that contains the target object IDs

## Member Data Documentation

final String com.symantec.sepm.webservice.client.command.PowerEraserCommand.INPUT_SCAN = "Scan"
| static

final String com.symantec.sepm.webservice.client.command.PowerEraserCommand.INPUT_SCAN_ROOTKIT = "ScanWithRootkit"
| static

final String com.symantec.sepm.webservice.client.command.PowerEraserCommand.INPUT_REMOVE = "Remove"
| static

final String com.symantec.sepm.webservice.client.command.PowerEraserCommand.INPUT_RESTORE = "Restore"
| static

final String com.symantec.sepm.webservice.client.command.PowerEraserCommand.DEFAULT_COMMAND = "InvalidCommand"
| static